Bug 50130 - RPM Segmentation Fault after kernel upgrade
Summary: RPM Segmentation Fault after kernel upgrade
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL: http://www.octapod.org/rpmdb.tar.gz
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-27 02:24 UTC by Stuart Westbury
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-27 02:24:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stuart Westbury 2001-07-27 02:24:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
After installing a kernel upgrade on a redhat 6.2 machine (2.2.19-6.2.7), 
RPM segfaults when trying to install packages or rebuild the database. 
Example: 
[root@octo updates]# rpm -i fetchmail-5.5.0-2.6.i386.rpm
error: cannot open Depends index using db1 - Invalid argument (22)
Segmentation fault.
Attempts to rebuild the database also results in a segfault.


How reproducible:
Always

Steps to Reproduce:
1. rpm -i packagename

	

Actual Results:  Segmentation Fault

Expected Results:  Package should install correctly.

Additional info:

A copy of the original database is available at 
http://www.octapod.org/rpmdb.tar.gz

Comment 1 Jeff Johnson 2001-07-28 15:33:30 UTC
Fix is at
	ftp://people.redhat.com/jbj/rpmdb1-50130-FIX.tar.gz
Install by doing
	cd /var/lib/rpm
	mv packages.rpm packages.rpm-ORIG
	cd ..
	tar xzvf rpmdb1-50130-FIX.tar.gz
	rpm --rebuilddb -vv


Note You need to log in before you can comment on or make changes to this bug.